# MAPS Policies Dataset

The MAPS Policies Dataset consists of the URLs of 441,626 privacy policies. These privacy policies were discovered as part of the Google Play Store app analysis conducted by the Mobile App Privacy System (MAPS) from April to May, 2018. For more details about how the privacy policies were discovered, see section 4.1 of our paper, "MAPS: Scaling Privacy Compliance Analysis to a Million Apps".

The dataset is made available for research, teaching, and scholarship purposes only, with further parameters in the spirit of a Creative Commons Attribution-NonCommercial License. Contact Prof. Norman Sadeh with any questions.

If you use this dataset as part of a publication, you must cite the following paper:

> MAPS: Scaling Privacy Compliance Analysis to a Million Apps. Sebastian Zimmeck, Peter Story, Daniel Smullen, Abhilasha Ravichander, Ziqi Wang, Joel Reidenberg, N. Cameron Russell, and Norman Sadeh. Privacy Enhancing Technologies Symposium 2019.

## File Format

The dataset is saved in `april_2018_policies.csv`. Each row of the .csv file represents a different privacy policy document. Each row contains the following columns:

* ID. A monotonically increasing ID.
* Package ID. The Play Store package ID of the app which this policy belongs to.
* Content Type. Whether the document is HTML or PDF.
* Date Downloaded. The date and time at which the documents were downloaded.
* Policy Sources. A JSON list of dictionaries containing metadata describing how the policy was discovered. Multiple JSON dictionaries will be present if the same policy was found by following links from different locations.
  * Source. Either PLAY_PAGE, APP, or CURATED, describing where the original URL came from: either from the app's Play Store page, the app's source code, or from a list of URLs we manually curated.
  * Original URL. The URL we used as a starting point to discover the policy document.
  * Final URL. The final URL displayed in the web browser when we saved the policy document. This can differ from the original URL if the browser was served an HTTP redirect, or if our crawling techniques were used to discover the policy.
